Other Endpoints¶
Endpoints that don’t fit into the main categories above.
- GET /jeni-post-processor-type/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /jeni-post-processor-type/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /jeni-post-processor-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /jeni-post-processor-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- DELETE /jeni-post-processor-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
- GET /sessions/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /sessions/¶
Inititate a new user-session to our API. This will validate the use, and send
Inititate a new user-session to our API. This will validate the use, and send them back a bearer-token (session key) so they don’t have to send log-in data over and over in payload (risky). Not there is some special case code here for qr-kiosk mode, etc.
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /sessions/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /sessions/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- DELETE /sessions/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
- GET /jeni-cluster/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address. You can’t provide less than 1 counts for jeni_printer_type or jeni_post_processor_type
- POST /jeni-cluster/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address. You can’t provide less than 1 counts for jeni_printer_type or jeni_post_processor_type
- Response Headers:
Location – URI of the created resource
- GET /jeni-cluster/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address. You can’t provide less than 1 counts for jeni_printer_type or jeni_post_processor_type
- PUT /jeni-cluster/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address. You can’t provide less than 1 counts for jeni_printer_type or jeni_post_processor_type
- DELETE /jeni-cluster/{uuid}/¶
handler for HTTPS DELETE /resource/$uuid . Deletes existing resource.
handler for HTTPS DELETE /resource/$uuid . Deletes existing resource.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError This means the IP address you entered is invalid. Make sure your ip address is a valid IPv4 or IPv6 address. You can’t provide less than 1 counts for jeni_printer_type or jeni_post_processor_type
- GET /jeni-printer-type/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
- POST /jeni-printer-type/¶
- Status Codes:
201 Created – Resource created successfully
- Response Headers:
Location – URI of the created resource
- GET /jeni-printer-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
- PUT /jeni-printer-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
- DELETE /jeni-printer-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
- GET /users/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user
503 Service Unavailable – RecordNotFound
- POST /users/¶
Add a user, let API select/generate URI/UUID if it’s a new user
Add a user, let API select/generate URI/UUID if it’s a new user Must be POST via a ‘inviter’ valid HTTPS connection from a user of the same bureau
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user
503 Service Unavailable – RecordNotFound
- Response Headers:
Location – URI of the created resource
- GET /users/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user
503 Service Unavailable – RecordNotFound
- PUT /users/{uuid}/¶
Put an update to an exact user (and exact UUID/URI)
Put an update to an exact user (and exact UUID/URI)
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user
503 Service Unavailable – RecordNotFound
- DELETE /users/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user
503 Service Unavailable – RecordNotFound